[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[taler-deployment] branch master updated (0af9df2 -> a08bed6)
From: |
gnunet |
Subject: |
[taler-deployment] branch master updated (0af9df2 -> a08bed6) |
Date: |
Tue, 13 Feb 2024 19:05:41 +0100 |
This is an automated email from the git hooks/post-receive script.
devan-carpenter pushed a change to branch master
in repository deployment.
from 0af9df2 add aptly scripts
new 89c3afc aptly: cleanup variable usage
new d8edfd6 aptly: account for script paths relative to repo
new a08bed6 aptly: publish list of all packages
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "add" were already present in the repository and have only
been added to this reference.
Summary of changes:
aptly/aptly-publish.sh | 9 +++++++--
aptly/entr.sh | 2 +-
2 files changed, 8 insertions(+), 3 deletions(-)
diff --git a/aptly/aptly-publish.sh b/aptly/aptly-publish.sh
index dbbb9aa..07a986f 100755
--- a/aptly/aptly-publish.sh
+++ b/aptly/aptly-publish.sh
@@ -2,12 +2,17 @@
set -exou pipefail
+REPOROOT="${HOME}"/.aptly/public
DATESTAMP=$(date -Iseconds)
-rm -rf $HOME/garbagecollect
-mv $HOME/.aptly/public/pool $HOME/garbagecollect || true
+
+rm -rf "${HOME}"/garbagecollect
+mv "${REPOROOT}"/pool "${HOME}"/garbagecollect || true
aptly repo drop --force taler-ci-snapshots || true
aptly db cleanup
aptly repo create -distribution=bookworm -component=main taler-ci-snapshots
aptly repo add taler-ci-snapshots /home/aptbuilder/incoming/bookworm-taler-ci
|| true
aptly snapshot create "taler-${DATESTAMP}" from repo taler-ci-snapshots
aptly -gpg-provider="gpg2" publish -architectures="amd64,arm64" switch
bookworm "taler-${DATESTAMP}"
+
+# Publish a list of all packages in the repo
+aptly repo show -with-packages taler-ci-snapshots > "${REPOROOT}"/packages.txt
diff --git a/aptly/entr.sh b/aptly/entr.sh
index 3610ec9..6837508 100755
--- a/aptly/entr.sh
+++ b/aptly/entr.sh
@@ -2,5 +2,5 @@
set -xo
while true ; do
- echo incoming/bookworm-taler-ci | entr -n -d
/home/aptbuilder/aptly-publish.sh ; sleep 1 || true
+ echo "${HOME}/incoming/bookworm-taler-ci" | entr -n -d
"${HOME}"/deployment/aptly/aptly-publish.sh ; sleep 1 || true
done
--
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.
- [taler-deployment] branch master updated (0af9df2 -> a08bed6),
gnunet <=